﻿@model BreweryViewModel

@{
    Layout = "_Layout";
}
<body>

    <div>
        <h4>Brewery</h4>
        <hr />
        <dl class="row">
            <dt class="col-sm-2">
                @Html.DisplayNameFor(model => model.Name)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Name)
            </dd>
            <dt class="col-sm-2">
                @Html.DisplayNameFor(model => model.CreatedOn)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.CreatedOn)
            </dd>
            @if (User.Identity.IsAuthenticated)
            {
                <dt class="col-sm-2">
                    @Html.DisplayNameFor(model => model.ModifiedOn)
                </dt>
                <dd class="col-sm-10">
                    @Html.DisplayFor(model => model.ModifiedOn)
                </dd>
                <dt class="col-sm-2">
                    @Html.DisplayNameFor(model => model.DeletedOn)
                </dt>
                <dd class="col-sm-10">
                    @Html.DisplayFor(model => model.DeletedOn)
                </dd>
                <dt class="col-sm-2">
                    @Html.DisplayNameFor(model => model.IsDeleted)
                </dt>
                <dd class="col-sm-10">
                    @Html.DisplayFor(model => model.IsDeleted)
                </dd>
            }
        </dl>
    </div>
    <div>
        @if (User.Identity.IsAuthenticated)
        {
            <a asp-action="Edit" asp-route-id="@Model.Id">Edit |</a>
        }
        <a asp-action="Index">Back to List</a>
    </div>
</body>
